SendLit logoSendLit Docs
API ReferenceOrganizationsOrganizationidMail activity

Get organization transactional mail activity

Returns per-team and organization-total transactional mail counts (`sent`, `queued`, `failed`, `bounced`) for a window of 1, 3, 7, or 30 days (default 7). Includes teams with zero activity. Does not include campaigns, broadcasts, sequences, recipients, subjects, or email bodies. Shared-delivery quota remains on `/usage`.

GET
/organizations/{organizationId}/mail-activity

Returns per-team and organization-total transactional mail counts (sent, queued, failed, bounced) for a window of 1, 3, 7, or 30 days (default 7). Includes teams with zero activity. Does not include campaigns, broadcasts, sequences, recipients, subjects, or email bodies. Shared-delivery quota remains on /usage.

x-sendlit-apikey<token>

In: header

Path Parameters

organizationId*string

Query Parameters

rangeDays?|

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.sendlit.app/organizations/string/mail-activity"
{
  "rangeDays": 1,
  "totals": {
    "sent": 0,
    "queued": 0,
    "failed": 0,
    "bounced": 0
  },
  "teams": [
    {
      "teamId": "string",
      "name": "string",
      "status": "active",
      "externalId": "string",
      "mail": {
        "sent": 0,
        "queued": 0,
        "failed": 0,
        "bounced": 0
      }
    }
  ]
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}